/**
 * Company Name : 中贸促信息技术有限责任公司
 * Project Name:project
 * File Name:EmailInfo.java
 * Package Name:org.ccpit.business.emailManage
 * Date:2015年10月10日下午2:51:55
 * Copyright (c) 2015, dingwei@ccpit.org All Rights Reserved.
 *
 */

package org.ccpit.base.emailSendManage;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.OneToOne;
import javax.persistence.Table;

import org.ccpit.base.user.User;

/**
 * ClassName:EmailInfo <br/>
 * Function: 
 * Reason: 
 * Date: 2015年10月10日 下午2:51:55 <br/>
 * 
 * @author dingwei 
 * @version
 * @since JDK 1.6
 * @see
 */
@Entity
@Table(name = "ccoic_emailinfo")
public class EmailInfo implements Serializable {

	/**
	 * serialVersionUID:
	 * 
	 * @since JDK 1.6
	 */
	private static final long serialVersionUID = 1L;

	private long id;
	/**
	 * 邮件主题
	 */
	private String title;
	/**
	 * 收件人
	 */
	private String recipients;
	/**
	 * 发件人
	 */
	private String addresser;
	/**
	 * 抄送人
	 */
	private String copyTo;
	/**
	 * 邮件内容
	 */
	private String content;
	/**
	 * 创建人
	 */
	private User creator;
	/**
	 * 创建时间
	 */
	private Date createTime;
	/**
	 * 修改人
	 */
	private User modifyBy;
	/**
	 * 修改时间
	 */
	private Date modifyTime;
	/**
	 * 发送状态 0 已发失败  | 1 已发成功 
	 */
	private Integer status;
	/**
	 * 收件人名称
	 */
	private String recipientName;
	/**
	 * 邮件信息是否为被删除状态
	 */
	private Boolean emailWhether;
	/**
	 * 备用字段1
	 */
	private String standby1;
	/**
	 * 备用字段2
	 */
	private String standby2;
	/**
	 * 备用字段3
	 */
	private String standby3;
	/**
	 * 备用字段4
	 */
	private String standby4;
	/**
	 * 备用字段5
	 */
	private String standby5;

	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getRecipients() {
		return recipients;
	}

	public void setRecipients(String recipients) {
		this.recipients = recipients;
	}

	public String getAddresser() {
		return addresser;
	}

	public void setAddresser(String addresser) {
		this.addresser = addresser;
	}

	public String getCopyTo() {
		return copyTo;
	}

	public void setCopyTo(String copyTo) {
		this.copyTo = copyTo;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public Boolean getEmailWhether() {
		return emailWhether;
	}
	
	public void setEmailWhether(Boolean emailWhether) {
		this.emailWhether = emailWhether;
	}
	
	public String getRecipientName() {
		return recipientName;
	}
	
	public void setRecipientName(String recipientName) {
		this.recipientName = recipientName;
	}

	@OneToOne
	public User getCreator() {
		return creator;
	}

	public void setCreator(User creator) {
		this.creator = creator;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	@OneToOne
	public User getModifyBy() {
		return modifyBy;
	}

	public void setModifyBy(User modifyBy) {
		this.modifyBy = modifyBy;
	}

	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}
	public String getStandby1() {
		return standby1;
	}

	public void setStandby1(String standby1) {
		this.standby1 = standby1;
	}

	public String getStandby2() {
		return standby2;
	}

	public void setStandby2(String standby2) {
		this.standby2 = standby2;
	}

	public String getStandby3() {
		return standby3;
	}

	public void setStandby3(String standby3) {
		this.standby3 = standby3;
	}

	public String getStandby4() {
		return standby4;
	}

	public void setStandby4(String standby4) {
		this.standby4 = standby4;
	}

	public String getStandby5() {
		return standby5;
	}

	public void setStandby5(String standby5) {
		this.standby5 = standby5;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}
}
